'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = App;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _reactIntl = require('react-intl');

var _reactRedux = require('react-redux');

var _RouterContainer = require('../containers/RouterContainer');

var _RouterContainer2 = _interopRequireDefault(_RouterContainer);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function App(props) {
  var store = props.store;
  var history = props.history;
  var locale = props.locale;
  var messages = props.messages;


  return _react2.default.createElement(
    _reactIntl.IntlProvider,
    { locale: locale, messages: messages },
    _react2.default.createElement(
      _reactRedux.Provider,
      { store: store },
      _react2.default.createElement(_RouterContainer2.default, { history: history })
    )
  );
}

App.propTypes = {
  store: _react.PropTypes.object.isRequired,
  history: _react.PropTypes.object.isRequired,
  locale: _react.PropTypes.string,
  messages: _react.PropTypes.object
};

App.defaultProps = {
  locale: 'en'
};